org.apache.tinkerpop.gremlin.neo4j.structure

## Class Neo4jElement

- java.lang.Object
- - org.apache.tinkerpop.gremlin.neo4j.structure.Neo4jElement

- All Implemented Interfaces:
    Element, WrappedElement<Neo4jEntity>
  Direct Known Subclasses:
    Neo4jEdge, Neo4jVertex

      public abstract class Neo4jElement
      extends Object
      implements Element, WrappedElement<Neo4jEntity>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `Element.Exceptions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Neo4jEntity` | `baseElement`
    `protected Neo4jGraph` | `graph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Neo4jElement(Neo4jEntity baseElement, Neo4jGraph graph)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)`
    `Neo4jEntity` | `getBaseElement()`
    `Graph` | `graph()` Get the graph that this element is within.
    `int` | `hashCode()`
    `Object` | `id()` Gets the unique identifier for the graph `Element`.
    `Set<String>` | `keys()` Get the keys of the properties associated with this element.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `label, properties, property, property, remove, value, values`

- - ### Field Detail

    - #### graph

          protected final Neo4jGraph graph

    - #### baseElement

          protected final Neo4jEntity baseElement

  - ### Constructor Detail

    - #### Neo4jElement

          public Neo4jElement(Neo4jEntity baseElement,
                              Neo4jGraph graph)

  - ### Method Detail

    - #### graph

          public Graph graph()

      Description copied from interface: `Element`
      Get the graph that this element is within.
      Specified by:
        `graph` in interface `Element`
      Returns:
        the graph of this element

    - #### id

          public Object id()

      Description copied from interface: `Element`
      Gets the unique identifier for the graph `Element`.
      Specified by:
        `id` in interface `Element`
      Returns:
        The id of the element

    - #### keys

          public Set<String> keys()

      Description copied from interface: `Element`
      Get the keys of the properties associated with this element. The default implementation iterators the properties and stores the keys into a `HashSet`.
      Specified by:
        `keys` in interface `Element`
      Returns:
        The property key set

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getBaseElement

          public Neo4jEntity getBaseElement()

      Specified by:
        `getBaseElement` in interface `WrappedElement<Neo4jEntity>`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.